// main styles
.row{
  margin: 0;
}
.main{
  &__modal-window{
    // display: none;
  }
  &__preloader{

    &-preload{
      display: block;
      position: fixed;
      z-index: 99999;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      // min-width: 1000px;
      background: #F9BF3B url(../img/preloader.svg) center center no-repeat;
      background-size:104px;
    }
  }
  &__container{
    // padding: 0  ;
    // max-width: 1420px;
    // width: 100%;
    overflow: hidden;
    padding: 0;
    margin-top: -7px;
  }
  &__about{
    background: $c-green;
    display: flex;
    // align-items: flex-end;
    // padding-left: 50px;
    color: $c-white;
    height: 100%;
    &-block{ 
      &-img{
        // display: inline-block;
        // flex-wrap: nowrap;
        padding: 0;
      }
      &-text{
        padding: 60px 80px;
      }
    }
    &-img{
      width: 100%;
      height: auto;
      // margin: auto;
      display: block;
    }
    &-text{
      font-size: $fs-20;
      letter-spacing: $ls-1-0;
      text-align: left;
      // text-indent:30px;
      // padding-top: 15px;
    }
    & .main__title{
      color: $c-white;
      text-align: left; 
      padding-bottom: 20px;   
        
    }
  }
  &__line{
    max-width: 480px;
    width: 100%;
    height: 1px;
    margin: 0 auto;
    z-index: 1;
    position: relative;
    display: flex;
    justify-content: center;
    &:after , &:before{
      content: '';
      background-color: $c-green-3;
      height: 1px;
      width: 0%;  
      transition: width 1s;
    }
    &:before{
      right: 0;
      top: 0;
    }
    &:after{
      left: 0;
      top: 0;
    }
    &--visible{
      &:after , &:before{
        width: 50%;  
      }
    }
  }
  &__title{
    z-index: 1;
    position: relative;
    text-align: center;
    font-size: $fs-30;
    letter-spacing: $ls-1-5;
    padding:30px 0 25px;
    font-weight: $fw-bold;
    color: $c-green-3

  }
  &__services{
    padding-top: 50px;
  }
  &__button{
    width: 220px;
    height: 65px;
    margin: 75px auto 25px;
  }
  &__diagnosis{
    background: $c-green;
    color: $c-white;
    height: 100%;
    position: relative;
    display: flex;
    align-items: center;
    &-content{
      z-index: 1;
      position: relative;
    }
    &-text{
      text-align: center;
      display: none;
      font-size: 30px;
    }
    &-img{
      width: 100%;
      height: auto;
      display: block;
      // margin: auto;
    }
    & .main__title{
      color: $c-white;
      text-align: left; 
      padding-bottom: 20px;  
      max-width: 370px;
      width: 100%; 
        
    }
    &-block{
      &-img{
        padding: 0;
      }
      &-text{
        display: flex;
        flex-direction: column;
        align-items: center;
        // justify-content: center;
        padding: 20px 80px ;
        position: relative;
        height: 100%;
      }
    }
    // &-text{
    //   padding-top:50px;
    //   letter-spacing: $ls-1-2;
    //   // color: $c-dark-2;
    //   // padding-top: 15px;
    //   text-indent:30px;      
    //   font-size: $fs-24;
    //   & p{
    //     margin: 0;
    //   }
    // }
  }
  &__news{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 150px;
    padding-top: 25px;
    &-container{
      padding-top: 55px;
      max-width: 1430px;
    }
  }
  &__slider{
    &-team{
      margin: 65px auto 50px;
    }
    &-photo{
      margin-top: 80px;
      margin-bottom: 20px; 
    }
    &-reviews{
      margin: 75px auto;
    }
  }
}
////////////////////////////////////
//Responsiwe
////////////////////////////////////
@media screen and (max-width : 1700px){
  .main{
    &__about{
      &-block{ 
        &-text{
          padding: 20px 30px 20px 30px;
        }
      }
      & .main__title{
        padding-bottom: 10px;   
        padding-top: 0px;
      }
    }
    &__diagnosis{
      &-block{
        &-text{
          padding: 0px 80px 10px;
          & .main__title{
            padding-top: 10px;
          }
        }
      }
      & .main__title{
        padding-bottom: 10px;            
      }
    }
  }
}
@media screen and (max-width : 1400px){
  .main{
    &__about{
      &-block{ 
        &-text{
          padding: 20px 15px 20px 20px;
        }
      }
      &-text{
        font-size: $fs-16;
      }
      & .main__title{
        font-size: 20px;
      }
    }
    &__diagnosis{
      &-block{
        &-text{
          padding: 0 0 10px;
        }
      }
      & .main__title{
        font-size: 20px;
      }
    }
  }
}

@media screen and (max-width : 1100px){
  .main{
    &__news{
      padding-bottom: 25px;
      &-container{
        padding-top: 25px;
      }
    }
  }
}

@media #{$screen}{
  .main{
    &__container{

      width: 100%;
      overflow: hidden;
    }
    &__about{
      &-block{ 
        &-text{
          padding: 20px 15px 20px 20px;
        }
      }
      &-text{
        font-size: $fs-12;
        & p{
          margin: 5px 0;
        }
      }
      & .main__title{
        padding-bottom: 5px;
      }
    }
  }
}
@media #{$desktop}{
  .main{
    &__container{
      
      width: 100%;
      overflow: hidden;
    }
    &__about{
      flex-direction: column;

      &-block{ 
        &-text{
          padding: 40px 60px;
        
        }
      }
      &-text{
        font-size: $fs-20;
        & p{
          margin: 15px 0;
        }
      }
      & .main__title{
        font-size: 24px;
        padding-bottom: 10px;
      }
    }
    &__diagnosis{
    
      flex-direction: column;
      & .main__title{
        font-size: 24px;
        padding-bottom: 20px;            
      }
      &-block{
        &-img{
          padding: 0;
          order: 1;
        }
        &-text{
          order: 2;        
          padding: 40px 0 ;
        }
      }
    }
  }
}
@media #{$tablet}{
.main{
  &__about{
    // padding-top: 0px;
    &-block{ 
      &-text{
        padding: 20px 20px;
      
      }
    }

  }
  &__title{
    font-size: $fs-18;
    letter-spacing: $ls-0-9;
    padding:25px 0 7px;
  }

  &__diagnosis{
    &-text{
      text-align: center;
      display: none;
      font-size: 24px;
    }
    &-block{
      &-text{
        order: 2;        
        padding: 20px 0 ;
      }
    }
    &-text{
      padding: 15px;
      letter-spacing: $ls-0-8;
      font-size: $fs-16;
      text-indent: 0;
      // text-align: center;
      & p{
        padding: 5px 0;
      }
    }
  
  }
  &__button{

    width: 200px;
    height: 50px;
    margin: 28px auto 0;
    & .button__text{
      font-size: $fs-21;
      letter-spacing: $ls-1-1;
    }
  }

  &__slider{
    &-photo{
      margin-top: 15px;
      margin-bottom: 0px; 
    }
    &-reviews{
      margin: 15px auto;
    }
  }
}
}
@media #{$phone}{

  .main{
    &__about{
      &-text{
        & p{
          margin: 5px 0;
        }
      }
      & .main__title{
        font-size: 18px;
        padding-bottom: 0px;
      }
    }
    &__services{
      padding: 0px 15px 25px;
    }
    &__diagnosis{
      // align-items: center;
      flex-direction: column;
      &-text{
        text-align: center;
        display: none;
        font-size: 18px;
      }
      & .main__title{
        font-size: 18px;
        max-width: 100%;
        text-align: center;
        padding-bottom: 10px;            
      }
    }
  }
}